Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Class PluginNotification

    java.lang.Object
      |
      +--com.bea.wlpi.server.plugin.PluginNotification

Direct Known Subclasses:
  InstanceNotification, TaskNotification, TemplateDefinitionNotification, TemplateNotification

public abstract class PluginNotification
extends java.lang.Object
implements java.io.Serializable

The abstract base class for all plugin notifications.

Since:
  WebLogic Process Integrator version 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected int` | `eventType`
`protected java.lang.Object` | `source`

Constructor Summary
`PluginNotification(java.lang.Object source, int eventType)` Create a new `PluginNotification`.

Method Summary
`int` | `getEventType()` Return the event type.
`java.lang.Object` | `getSource()` Return the source value object.
`protected java.lang.String` | `toString(java.lang.Object[][] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.lang.Object source

### eventType

    protected int eventType

Constructor Detail

### PluginNotification

    public PluginNotification(java.lang.Object source,
                              int eventType)

  Create a new `PluginNotification`.

  Parameters:
    `source` - A `XxxInfo` value object describing the workflow entity that changed: `TemplateDefinitionInfo`, `InstanceInfo`, `TaskInfo`, `TemplateInfo`.
    `eventType` - The event type: `PluginConstants.DEFINITION_CREATED`, `PluginConstants.DEFINITION_UPDATED`, `PluginConstants.DEFINITION_DELETED`, `PluginConstants.INSTANCE_CREATED`, `PluginConstants.INSTANCE_COMPLETED`, `PluginConstants.INSTANCE_ABORTED`, `PluginConstants.INSTANCE_DELETED`, `PluginConstants.INSTANCE_UPDATED`, `PluginConstants.TASK_STARTED`, `PluginConstants.TASK_EXECUTED`, `PluginConstants.TASK_COMPLETED`, `PluginConstants.TASK_UNMARKED_DONE`, `PluginConstants.TASK_OVERDUE`, `PluginConstants.TASK_ASSIGNED`, `PluginConstants.TASK_UNASSIGNED`, `PluginConstants.TASK_UPDATED`, `PluginConstants.TEMPLATE_CREATED`, `PluginConstants.TEMPLATE_UPDATED`, `PluginConstants.TEMPLATE_DELETED`.

Method Detail

### getSource

    public java.lang.Object getSource()

  Return the source value object.

  Returns:
    The source object.

### getEventType

    public int getEventType()

  Return the event type.

  Returns:
    eventType The event type.

### toString

    protected java.lang.String toString(java.lang.Object[][] values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)